<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>操作结果</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f0f8ff; /* 天蓝色背景 */
            color: #333; /* 深色文本 */
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            flex-direction: column;
        }

        h1 {
            color: #4682b4; /* 天蓝色标题 */
            margin-bottom: 20px;
        }

        .message {
            color: red; /* 错误信息红色 */
            font-size: 16px;
            margin-bottom: 20px;
            text-align: center;
        }

        button {
            background-color: #4682b4; /* 天蓝色按钮 */
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;
        }

        button:hover {
            background-color: #5a9bd3; /* 按钮悬停时颜色 */
        }
    </style>
</head>
<body>
    <div>
        <h1>操作结果</h1>

        <div class="message">
            <p>${requestScope.msg}</p>
        </div>

        <a href="orders?action=my">返回我的订单</a>
    </div>
</body>
</html>
